// David Pilling July 2017


#include "DifferentialADC.c"



#include <stdarg.h>

void pr(char *fmt, ... )
{
 char buf[128]; // resulting string limited to 128 chars

 va_list args;
 va_start (args, fmt );
 vsnprintf(buf, 128, fmt, args);
 va_end (args);

 Serial.println(buf);
}



void setup() 
{
 Serial.begin(9600); 
 while(!Serial);

}


void loop() 
{
 int code;
 int val;

 val=analogVoltageSetup();
 pr("Vcc %d",val);

#if defined(__AVR_ATmega1280__) || defined(__AVR_ATmega2560__)
 code=analogGetCode(A1,A0,200);
#elif defined(__AVR_ATmega32U4__)
 code=analogGetCode(A4,A5,200);
#elif defined(__AVR_ATmega1284__) 
 code=analogGetCode(A1,A0,200);
#else
#error "undefined processor"
#endif

 
 
 pr("MUX code %x",code);
 
 val=analogReadDiffCode(code);
 pr("signed value %d",val=analogSignedValue(val));

 val=analogVoltageValue(val,10,200);
 pr("voltage %d",val);

 delay(2000);
}


